Papers
Update a Paper
Update a paper. Metadata keys are merged into the existing metadata, set a key to null to remove it.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
metadata?
Metadata keys to merge into the existing metadata. Set a key to null to remove it.
Response Body
application/json
curl -X PATCH "https://example.com/papers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "title": "string", "subject": "string", "size": 0, "ratio": 0, "pages": 0, "status": "pending", "metadata": { "property1": null, "property2": null }, "version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "title": "string", "subject": "string", "size": 0, "ratio": 0, "pages": 0, "status": "deleted", "extension": "string" }}